# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# DOM::HTMLLabelElement Class Reference

Form field label text. More...

`#include <html_form.h>`

Inheritance diagram for DOM::HTMLLabelElement:

[legend]
Collaboration diagram for DOM::HTMLLabelElement:

[legend]
List of all members.

## Public Member Functions

| HTMLLabelElement (const HTMLLabelElement &other)
| HTMLLabelElement (const Node &other)
HTMLLabelElement & | operator= (const HTMLLabelElement &other)
HTMLLabelElement & | operator= (const Node &other)
DOMString | accessKey () const
void | setAccessKey (const DOMString &)
DOMString | htmlFor () const
void | setHtmlFor (const DOMString &)

## Protected Member Functions

| HTMLLabelElement (HTMLLabelElementImpl *impl)

## Detailed Description

Form field label text.

See the LABEL element definition in HTML 4.0.

Definition at line 642 of file html_form.h.

## Member Function Documentation

DOMString HTMLLabelElement::accessKey | ( |  | ) | const

| A single character access key to give access to the form control. See the accesskey attribute definition in HTML 4.0. Definition at line 592 of file html_form.cpp.

void HTMLLabelElement::setAccessKey | ( | const DOMString & |  | ) |

| see accessKey Definition at line 598 of file html_form.cpp.

DOMString HTMLLabelElement::htmlFor | ( |  | ) | const

| This attribute links this label with another form control by `id` attribute. See the for attribute definition in HTML 4.0. Definition at line 603 of file html_form.cpp.

void HTMLLabelElement::setHtmlFor | ( | const DOMString & |  | ) |

| see htmlFor Definition at line 609 of file html_form.cpp.

The documentation for this class was generated from the following files:

- html_form.h
- html_form.cpp

This file is part of the documentation for khtml Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:34:10 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003